RagTime5SpreadsheetInternal::ClustListParser Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
RagTime5SpreadsheetInternal::ClustListParser Struct Referencefinal

Internal: the helper to read a clustList. More...

Inheritance diagram for RagTime5SpreadsheetInternal::ClustListParser:

## Public Member Functions
| ClustListParser (RagTime5ClusterManager &clusterManager, int fieldSize, std::string const &zoneName)
| constructor
| ~ClustListParser () final
| destructor
std::string | getClusterDebugName (int id) const
| return a name which can be used for debugging
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseData (MWAWInputStreamPtr &, long, RagTime5Zone &, int, libmwaw::DebugStream &)
| parse a data

## Public Attributes
std::vector< int > | m_clusterList
| the list of read cluster

## Private Member Functions
| ClustListParser (ClustListParser &orig)=delete
| copy constructor, not implemented
ClustListParser & | operator= (ClustListParser &orig)=delete
| copy operator, not implemented

## Private Attributes
int | m_fieldSize
| the field size
RagTime5ClusterManager & | m_clusterManager
| the main zone manager

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a clustList.

## Constructor & Destructor Documentation

## ◆ ClustListParser() [1/2]

RagTime5SpreadsheetInternal::ClustListParser::ClustListParser | ( | RagTime5ClusterManager & | clusterManager,
|  | int | fieldSize,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## ◆ ~ClustListParser()

RagTime5SpreadsheetInternal::ClustListParser::~ClustListParser | ( |  | ) |
| final

destructor

## ◆ ClustListParser() [2/2]

RagTime5SpreadsheetInternal::ClustListParser::ClustListParser | ( | ClustListParser & | orig | ) |
| privatedelete

copy constructor, not implemented

## Member Function Documentation

## ◆ getClusterDebugName()

std::string RagTime5SpreadsheetInternal::ClustListParser::getClusterDebugName | ( | int | id | ) | const
| inline

return a name which can be used for debugging

Referenced by parseData().

## ◆ operator=()

ClustListParser & RagTime5SpreadsheetInternal::ClustListParser::operator= | ( | ClustListParser & | orig | ) |
| privatedelete

copy operator, not implemented

## ◆ parseData()

bool RagTime5SpreadsheetInternal::ClustListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_clusterList

std::vector<int> RagTime5SpreadsheetInternal::ClustListParser::m_clusterList

the list of read cluster

Referenced by parseData(), and RagTime5Spreadsheet::readSpreadsheetCluster().

## ◆ m_clusterManager

RagTime5ClusterManager& RagTime5SpreadsheetInternal::ClustListParser::m_clusterManager
| private

the main zone manager

Referenced by getClusterDebugName().

## ◆ m_fieldSize

int RagTime5SpreadsheetInternal::ClustListParser::m_fieldSize
| private

the field size

Referenced by ClustListParser(), and parseData().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx